"""Views for the API app."""

from django.shortcuts import render
from rest_framework import generics

from .serializers import VenueSerializer
from apps.home import models

class VenueListView(generics.ListCreateAPIView):
    serializer_class = VenueSerializer
    queryset = models.Venue.objects.all().order_by("id")


class VenueDetailsView(generics.RetrieveUpdateDestroyAPIView):
    serializer_class = VenueSerializer
    queryset = models.Venue.objects.all().order_by("id")
