var venueTypes;

$(document).ready(async () => {
    await loadVenueTypes();
    await loadVenues();
});

const loadVenueTypes = async () => {
    const response = await $.ajax({
        url: "/api/venues",
        method: "OPTIONS"
    });

    venueTypes = response?.actions?.POST?.type?.choices || [];
}

const loadVenues = async () => {
    const response = await $.ajax({
        url: "/api/venues/",
        method: "GET"
    });

    for (const venue of response?.results || []) {
        addVenue(venue);
        addVenue(venue);
        addVenue(venue);
        addVenue(venue);
        addVenue(venue);
        addVenue(venue);
        addVenue(venue);
        addVenue(venue);
        addVenue(venue);
        addVenue(venue);
    }
}

const addVenue = venue => {
    let $venue = $($("#venueItemTemplate").html());

    const type = venueTypes.find(type => type.value === venue.type);

    $venue.find(".venue-type").text(type.display_name);
    $venue.find(".venue-item").data("id", venue.id);
    $venue.find(".venue-name").text(venue.name);

    $description = $venue.find(".venue-description");
    $description.text(venue.description);
    $clamp($description[0], {clamp: 3});

    appendVenueAddress($venue, venue.address);
    appendVenueContacts($venue, venue.contacts);

    $venue.off("click").on("click", async () => await selectVenue(venue.id));

    $("#venueContainer").append($venue);
}

const appendVenueAddress = ($venue, address) => {
    if (!address) {
        return;
    }

    const location = address?.post_code;
    addVenueTemplateContact($venue, location, "bi-geo-alt");
}

const appendVenueContacts = ($venue, contacts) => {
    if (!contacts) {
        return;
    }

    const phoneNumber = contacts?.phone_number;
    addVenueTemplateContact($venue, phoneNumber, "bi-telephone");

    const emailAddress = contacts?.email_address;
    addVenueTemplateContact($venue, emailAddress, "bi-envelope");

    const websiteUrl = contacts?.website_url;
    addVenueTemplateContact($venue, websiteUrl, "bi-globe");

    const facebookUrl = contacts?.facebook_url;
    addVenueTemplateContact($venue, facebookUrl, "bi-facebook");

    const twitterUrl = contacts?.twitter_url;
    addVenueTemplateContact($venue, twitterUrl, "bi-twitter-x");

    const instagramUrl = contacts?.instagram_url;
    addVenueTemplateContact($venue, instagramUrl, "bi-instagram");
}

const addVenueTemplateContact = ($venue, value, iconClass) => {
    if (!value) {
        return;
    }

    let $contact = $($("#venueContactTemplate").html())

    $contact.find(".venue-contact-icon")
        .addClass(iconClass)
        .attr("data-bs-title", value)
        .attr("data-bs-toggle", "tooltip")
        .tooltip();

    $venue.find(".venue-contacts").append($contact);
}

const selectVenue = async id => {
    const response = await $.ajax({
        url: `/api/venues/${id}/`,
        method: "GET"
    })

    $(".js-createVenueBtn").trigger("click");
    console.log(JSON.stringify(response, null, 4));
}

$(".js-createVenueBtn").on("click", () => {
    $("#venueModal").modal("show");
});